--- debathena-machtype-10.0.2.orig/debian/control
+++ debathena-machtype-10.0.2/debian/control
@@ -0,0 +1,12 @@
+Source: debathena-machtype
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf
+Standards-Version: 3.7.2
+
+Package: debathena-machtype
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Print Athena machine type to standard output
+ Print CPU type and hardware configuration information.
--- debathena-machtype-10.0.2.orig/debian/compat
+++ debathena-machtype-10.0.2/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-machtype-10.0.2.orig/debian/control.in
+++ debathena-machtype-10.0.2/debian/control.in
@@ -0,0 +1,12 @@
+Source: debathena-machtype
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-machtype
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Print Athena machine type to standard output
+ Print CPU type and hardware configuration information.
--- debathena-machtype-10.0.2.orig/debian/changelog
+++ debathena-machtype-10.0.2/debian/changelog
@@ -0,0 +1,120 @@
+debathena-machtype (10.0.2-0debathena1) unstable; urgency=low
+
+  * Add machtype -q, which outputs whether or not a workstation is a
+    quickstation.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 05 Oct 2009 15:12:58 -0400
+
+debathena-machtype (10.0.1-0debathena5) unstable; urgency=low
+
+  * Don't make the inability to successfully run fs (e.g., if AFS hasn't
+    started yet, e.g., if we just unpacked AFS) fatal to installing this
+    package.
+
+ -- Geoffrey Thomas <geofft@mit.edu>  Wed, 26 Aug 2009 16:20:30 -0400
+
+debathena-machtype (10.0.1-0debathena4) unstable; urgency=low
+
+  * If AFS is installed, reload the sysname list when this package is
+    installed or upgraded.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 20 Aug 2009 19:52:53 -0700
+
+debathena-machtype (10.0.1-0debathena3) unstable; urgency=low
+
+  * Remove some crufty (and likely incompatible) sysnames from the
+    compatibility list.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 08 Aug 2009 19:08:54 -0700
+
+debathena-machtype (10.0.1-0debathena2) unstable; urgency=low
+
+  * Switch back to architecture: any - the sysnames are calculated at
+    build time.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Apr 2009 12:28:22 -0400
+
+debathena-machtype (10.0.1-0debathena1) unstable; urgency=low
+
+  * Add debathena-login-graphical to the list of metapackages we test for.
+  * Switch to architecture: all
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Apr 2009 12:13:45 -0400
+
+debathena-machtype (10.0.0-0debathena5) unstable; urgency=low
+
+  * machtype -L outputs "debathena" if no metapackages are installed,
+    instead of "linux".
+
+ -- Evan Broder <broder@mit.edu>  Thu, 05 Mar 2009 17:38:20 -0500
+
+debathena-machtype (10.0.0-0debathena4) unstable; urgency=low
+
+  * Change `machtype -E` and `machtype -L` to output more informative
+    information.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 28 Feb 2009 19:13:47 -0500
+
+debathena-machtype (10.0.0-0debathena3) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 15:25:56 -0500
+
+debathena-machtype (10.0.0-0debathena2) unstable; urgency=low
+
+  * Bump `machtype -A` to 10.0.
+  * Add i386_deb50 and amd64_deb50 sysnames, starting with Lenny and
+    Intrepid.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Fri, 31 Oct 2008 17:07:50 -0400
+
+debathena-machtype (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 16:13:25 -0400
+
+debathena-machtype (9.4.0-0debathena6) unstable; urgency=low
+
+  * Get disk and memory information from /sys and /proc instead of
+    /var/log/dmesg.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 05 Nov 2007 16:18:58 -0500
+
+debathena-machtype (9.4.0-0debathena5) unstable; urgency=low
+
+  * Compute Debian version from the version of base-files instead of
+    /etc/debian_version.  This has the side effect that dapper and edgy 
+    no longer have a deb40 sysname.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 18:29:55 -0400
+
+debathena-machtype (9.4.0-0debathena4) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:53 -0400
+
+debathena-machtype (9.4.0-0debathena3) unstable; urgency=low
+
+  * Slight fix for conditional logic.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 10 Jul 2007 18:29:13 -0400
+
+debathena-machtype (9.4.0-0debathena2) unstable; urgency=low
+
+  * Pass ATHENA_SYS, ATHENA_SYS_COMPAT, ATHENA_MAJOR_VERSION, 
+    ATHENA_MINOR_VERSION to configure.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 19 Apr 2007 22:00:55 -0400
+
+debathena-machtype (9.4.0-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:36:52 -0500
--- debathena-machtype-10.0.2.orig/debian/copyright
+++ debathena-machtype-10.0.2/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-machtype-10.0.2.orig/debian/rules
+++ debathena-machtype-10.0.2/debian/rules
@@ -0,0 +1,54 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+ATHENA_MAJOR_VERSION = 10
+ATHENA_MINOR_VERSION = 0
+
+DEBIAN_VERSION = $(shell dpkg-query --showformat='$${Version}' --show base-files)
+
+SYS_COMPAT=
+
+ifneq ($(shell dpkg --compare-versions $(DEBIAN_VERSION) '>=' '3.1' && echo y),y)
+    $(error Debian version $(DEBIAN_VERSION) is too old)
+endif
+
+ifeq ($(shell dpkg --compare-versions $(DEBIAN_VERSION) '>=' '4.0.4' && echo y),y)
+    ifeq ($(DEB_BUILD_ARCH),amd64)
+        SYS_COMPAT += amd64_deb50 i386_deb50
+    else
+        ifeq ($(DEB_BUILD_ARCH),i386)
+            SYS_COMPAT += i386_deb50
+        else
+            $(error Unrecognized architecture $(DEB_BUILD_ARCH))
+        endif
+    endif
+endif
+
+ifeq ($(shell dpkg --compare-versions $(DEBIAN_VERSION) '>=' '4' && echo y),y)
+    ifeq ($(DEB_BUILD_ARCH),amd64)
+        SYS_COMPAT += amd64_deb40 i386_deb40 i386_rhel4
+    else
+        ifeq ($(DEB_BUILD_ARCH),i386)
+            SYS_COMPAT += i386_deb40 i386_rhel4
+        else
+            $(error Unrecognized architecture $(DEB_BUILD_ARCH))
+        endif
+    endif
+endif
+
+SYS_COMPAT += i386_rhel3 i386_linux24
+
+ATHENA_SYS = $(word 1, $(SYS_COMPAT))
+ATHENA_SYS_COMPAT = $(patsubst %:,%,$(subst : ,:,$(patsubst %,%:,$(wordlist 2, $(words $(SYS_COMPAT)), $(SYS_COMPAT)))))
+
+DEB_CONFIGURE_EXTRA_FLAGS += lbindir=/bin \
+	ATHENA_SYS=$(ATHENA_SYS) \
+	ATHENA_SYS_COMPAT=$(ATHENA_SYS_COMPAT) \
+	ATHENA_MAJOR_VERSION=$(ATHENA_MAJOR_VERSION) \
+	ATHENA_MINOR_VERSION=$(ATHENA_MINOR_VERSION)
+
+clean::
+	rm -f configure
--- debathena-machtype-10.0.2.orig/debian/debathena-machtype.postinst
+++ debathena-machtype-10.0.2/debian/debathena-machtype.postinst
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postinst script for debathena-machtype
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if hash fs >/dev/null 2>&1 && [ -e /etc/openafs/afs.conf ]; then
+	    . /etc/openafs/afs.conf
+	    fs sysname $AFS_SYSNAME || true
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
